import { Component, Input, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { TinyMCEHelper } from 'app/shared/helper/tiny-mce.helper';

@Component({
  selector: 'ngx-tiny-mce',
  templateUrl: './tiny-mce.component.html',
  styleUrls: ['./tiny-mce.component.scss']
})
export class TinyMceComponent implements OnInit {
  @Input() controlName: string;
  @Input() form: FormGroup;
  editorLoaded: boolean = false;
  editorConfig = TinyMCEHelper.editorConfig;
  syntaxHighlightExample = `<pre class="language-java">...</pre>`;

  constructor() { }

  ngOnInit(): void {
  }

}
