export class ScrollHelper {
    static toTop(): any {
        window.scroll({
            top: 0,
            left: 0,
            behavior: 'smooth'
        });
    }

    static toElementWithOffset(element: any, yOffset) {
        const y = element.getBoundingClientRect().top + window.pageYOffset + yOffset;
        window.scrollTo({ top: y, behavior: 'smooth' });
    }
}