package de.hsrm.sls.subato.exercises.exercise;

import de.hsrm.sls.subato.courses.course.CourseSummaryDto;

import java.time.LocalDateTime;

public class ExerciseDto {
    private long id;
    private String name;
    private AssessmentMode assessmentMode;
    private int reachablePoints;
    private String description;
    private String summary;
    private CourseSummaryDto course;
    private LocalDateTime dueTo;
    private LocalDateTime visibleFrom;
    private boolean visible;
    private long taskInstancesCount;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public LocalDateTime getDueTo() {
        return dueTo;
    }

    public void setDueTo(LocalDateTime dueTo) {
        this.dueTo = dueTo;
    }

    public CourseSummaryDto getCourse() {
        return course;
    }

    public void setCourse(CourseSummaryDto course) {
        this.course = course;
    }

    public AssessmentMode getAssessmentMode() {
        return assessmentMode;
    }

    public void setAssessmentMode(AssessmentMode assessmentMode) {
        this.assessmentMode = assessmentMode;
    }

    public int getReachablePoints() {
        return reachablePoints;
    }

    public void setReachablePoints(int reachablePoints) {
        this.reachablePoints = reachablePoints;
    }

    public LocalDateTime getVisibleFrom() {
        return visibleFrom;
    }

    public void setVisibleFrom(LocalDateTime visibleFrom) {
        this.visibleFrom = visibleFrom;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setVisible(boolean visible) {
        this.visible = visible;
    }

    public long getTaskInstancesCount() {
        return taskInstancesCount;
    }

    public void setTaskInstancesCount(long taskInstancesCount) {
        this.taskInstancesCount = taskInstancesCount;
    }
}
