package de.hsrm.sls.subato.tasks.stef.parser.meta;

import de.hsrm.sls.subato.tasks.stef.spec.Meta;
import de.hsrm.sls.subato.tasks.stef.parser.InvalidSpecException;
import de.hsrm.sls.subato.tasks.stef.parser.meta.xml.TaskXml;
import org.springframework.stereotype.Service;

@Service
public class IdExtractor {
    public void extract(TaskXml doc, Meta meta) {
        if(doc.getId() == null) {
            throw new InvalidSpecException("%s nicht angegeben".formatted(TaskXml.ID));
        }

        meta.setId(doc.getId());
    }
}
