package de.hsrm.sls.subato.tasks.stef.parser.meta.xml;


import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;

import java.util.List;

public class SubmissionModesXml {
    public static final String DEFAULT = "default";
    public static final String SUBMISSION_MODE = "submissionMode";

    private List<SubmissionModeXml> submissionModes;

    private String defaultMode;

    public List<SubmissionModeXml> getSubmissionModes() {
        return submissionModes;
    }

    @XmlElement(name = SUBMISSION_MODE)
    public void setSubmissionModes(List<SubmissionModeXml> submissionModes) {
        this.submissionModes = submissionModes;
    }

    public String getDefaultMode() {
        return defaultMode;
    }

    @XmlAttribute(name = DEFAULT)
    public void setDefaultMode(String defaultMode) {
        this.defaultMode = defaultMode;
    }
}
