package de.hsrm.sls.subato.tasks.stef.parser.text;

import org.commonmark.node.FencedCodeBlock;
import org.commonmark.node.Node;
import org.commonmark.renderer.html.AttributeProvider;

import java.util.Map;

public class SyntaxHighlightAttributeProvider implements AttributeProvider {
    @Override
    public void setAttributes(Node node, String tagName, Map<String, String> attributes) {
        if(node instanceof FencedCodeBlock) {
            var codeBlock = (FencedCodeBlock) node;
            attributes.put("class", "language-%s".formatted(codeBlock.getInfo()));
        }
    }
}
