# Konfiguration
Die Konfiguration erfolgt über Dateien in `src/environments/*`, es gibt drei Konfigurationen:

- `environment.ts`: Lokal/Dev
- `environment.prod.ts`: Produktivumgebung
- `environment.test.ts`: Testumgebung

Unter `environments/shared.ts` wird alles konfiguriert, was alle Umgebungen betrifft. Selektiv kann dann in den spezifischen `environment*.ts` Dateien überschrieben werden.

[Caching](caching.md) wird über `cashewConfig()` in `app.module.ts` konfiguriert. Die Verbindungsparameter für Keycloak (außer der URL) befinden sich aktuell ebenfalls in `app.module.ts`.