import { Component, Input, OnInit } from '@angular/core';
import { ExerciseProgress } from 'app/features/exercises/models/exercise-progress';
import { ExerciseProgressResult } from 'app/features/exercises/models/exercise-progress-result';

@Component({
  selector: 'ngx-exercise-progress-table',
  templateUrl: './exercise-progress-table.component.html',
  styleUrls: ['./exercise-progress-table.component.scss']
})
export class ExerciseProgressTableComponent implements OnInit {
  @Input() exerciseProgressResult: ExerciseProgressResult;
  @Input() filteredExerciseProgresses: ExerciseProgress[] = [];

  constructor() { }

  ngOnInit(): void {
  }

}
