import * as moment from 'moment';
import { AssessmentMode } from '../models/assessment-mode';

export interface CreateTaskInstanceDto {
    orderNumber: number;
    taskId: number;
    reachablePoints?: number;
}

export interface CreateExerciseDto {
    courseId: number;
    description: string;
    name: string;
    summary: string;
    assessmentMode: AssessmentMode;
    dueTo: string;
    visibleFrom: string;
    taskInstances: CreateTaskInstanceDto[];
}