package de.hsrm.sls.subato.attendances.attendance.dto;

import de.hsrm.sls.subato.courses.event.CourseUnitEventSummaryDto;
import de.hsrm.sls.subato.courses.unit.CourseUnitDto;
import de.hsrm.sls.subato.user.UserDetailDto;

import java.util.List;

public class ParticipantAttendanceDetailDto {
    private UserDetailDto user;
    private CourseUnitDto courseUnit;
    private List<CourseUnitEventSummaryDto> events;
    private List<AttendanceDto> eventAttendances;
    private Long possibleSum;
    private Long presentSum;
    private Long missedSum;

    public UserDetailDto getUser() {
        return user;
    }

    public void setUser(UserDetailDto user) {
        this.user = user;
    }

    public List<AttendanceDto> getEventAttendances() {
        return eventAttendances;
    }

    public void setEventAttendances(List<AttendanceDto> eventAttendances) {
        this.eventAttendances = eventAttendances;
    }

    public Long getPossibleSum() {
        return possibleSum;
    }

    public void setPossibleSum(Long possibleSum) {
        this.possibleSum = possibleSum;
    }

    public Long getPresentSum() {
        return presentSum;
    }

    public void setPresentSum(Long presentSum) {
        this.presentSum = presentSum;
    }

    public Long getMissedSum() {
        return missedSum;
    }

    public void setMissedSum(Long missedSum) {
        this.missedSum = missedSum;
    }

    public CourseUnitDto getCourseUnit() {
        return courseUnit;
    }

    public void setCourseUnit(CourseUnitDto courseUnit) {
        this.courseUnit = courseUnit;
    }

    public List<CourseUnitEventSummaryDto> getEvents() {
        return events;
    }

    public void setEvents(List<CourseUnitEventSummaryDto> events) {
        this.events = events;
    }
}
