package de.hsrm.sls.subato.seed;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

// gradle bootRun --args='seed:seed ./subato-seed'
@Component
public class SeedRunner implements CommandLineRunner {
    @Autowired
    SeedService seedService;

    Logger logger = LoggerFactory.getLogger(SeedRunner.class);

    @Override
    public void run(String... args) {
        if (args.length < 1 || !args[0].equals("seed:seed")) return;

        seedService.seed(args[1]);

        System.exit(0);
    }
}
