package de.hsrm.sls.subato.shared.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "subato")
public class SubatoConfig {
    private String dataDir;

    private String tmpDir;
    private String seedDir;

    public String getTmpDir() {
        return tmpDir;
    }

    public void setTmpDir(String tmpDir) {
        this.tmpDir = tmpDir;
    }

    public String getDataDir() {
        return dataDir;
    }

    public void setDataDir(String dataDir) {
        this.dataDir = dataDir;
    }

    public String getSeedDir() {
        return seedDir;
    }

    public void setSeedDir(String seedDir) {
        this.seedDir = seedDir;
    }
}
